/**
 * Magetop Store
 *
 * @category  Magetop Extensions
 * @package   Magetop_Quotesystem
 * @author    Magetop Developer
 * @copyright Copyright (c) Magetop (https://www.magetop.com)
 * @license   https://www.magetop.com/license.html
 */
/*jshint jquery:true*/
define([
        "jquery",
        'mage/translate',
        "mage/template",
        "mage/mage",
    ], function ($, $t,mageTemplate, alert) {
        'use strict';
        $.widget('mage.quoteLink', {
            options: {
                mainMenu : '.quote-nav',
                subMenu : '.quote-child-menu',
                otherMenu : '.item'
            },
            _create: function () {
                var self = this;
                
                $(self.options.mainMenu).on('mouseover', function () {
                    $(self.options.subMenu).show();
                });
                $(self.options.otherMenu).on('mouseleave', function () {
                    $(self.options.subMenu).hide();
                });
                $(self.options.mainMenu).on('mouseleave', function () {
                    $(self.options.subMenu).hide();
                });

            },
        });
        return $.mage.quoteLink;
    });